Skip to main content
POST
/
v1
/
programs
/
{id}
/
assets
/
{assetId}
/
burn
Burn program balance
curl --request POST \
  --url https://api.scrip.dev/v1/programs/{id}/assets/{assetId}/burn \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "amount": "500.00",
  "description": "Reduce Q1 budget"
}
'
import requests

url = "https://api.scrip.dev/v1/programs/{id}/assets/{assetId}/burn"

payload = {
"amount": "500.00",
"description": "Reduce Q1 budget"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '500.00', description: 'Reduce Q1 budget'})
};

fetch('https://api.scrip.dev/v1/programs/{id}/assets/{assetId}/burn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "available": "10000.00",
  "journal_entry_id": "550e8400-e29b-41d4-a716-446655440000",
  "message": "Program funded successfully"
}
{
"code": "bad_request",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Invalid request parameters"
}
{
"code": "unauthorized",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Missing or invalid credentials"
}
{
"code": "forbidden",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Insufficient permissions for this action"
}
{
"code": "not_found",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource not found"
}
{
"code": "conflict",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Resource already exists or state conflict"
}
{
"code": "unsupported_media_type",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Content-Type must be application/json"
}
{
"code": "unprocessable",
"details": {
"expected": "uuid",
"field": "asset_id",
"fields": [
{
"expected": "<unknown>",
"field": "amount",
"message": "This field is required",
"reason": "required",
"received": "-10.00"
}
],
"reason": "invalid",
"received": "not-a-uuid"
},
"message": "Business rule violation"
}
{
"code": "internal_error",
"message": "An internal error occurred"
}
Removes funds from a program’s wallet for a specific PREFUNDED asset. The burned amount is debited from the program wallet and credited to SYSTEM_BREAKAGE in the ledger. This is the inverse of Fund a program. Calling this on an UNLIMITED asset has no effect. You cannot burn more than the current wallet balance.
For usage patterns and examples, see the Programs guide.

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header.

Path Parameters

id
string<uuid>
required

Program ID

assetId
string<uuid>
required

Asset ID

Body

application/json

Burn details

amount
string
required

Decimal amount to remove from the wallet

Minimum string length: 1
Example:

"500.00"

description
string

Reason for this burn

Maximum string length: 500
Example:

"Reduce Q1 budget"

Response

Burn successful

available
string

Wallet balance after the operation

Example:

"10000.00"

journal_entry_id
string<uuid>

Ledger journal entry created by this operation

Example:

"550e8400-e29b-41d4-a716-446655440000"

message
string

Confirmation message

Example:

"Program funded successfully"